Bug 7926 - Acq search results show empty parenthesis for orders without basket group
Summary: Acq search results show empty parenthesis for orders without basket group
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-09 14:42 UTC by Katrin Fischer
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7926: Acq search results show empty () for orders without basket group (1.94 KB, patch)
2012-04-09 14:56 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 7926: Acq search results show empty () for orders without basket group (2.03 KB, patch)
2012-05-14 00:28 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2012-04-09 14:42:27 UTC
Search results in acquisition show a column for basket group with "name of basket group (basket group number)" that will only be () when there is no basket group for an order line.
Comment 1 Katrin Fischer 2012-04-09 14:56:38 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-05-14 00:28:02 UTC
Created attachment 9544 [details] [review]
Bug 7926: Acq search results show empty () for orders without basket group

To test:
- search for orders by title or vendor
- make sure some results are attached to a basket group, while others are not
- make sure correct information shows in the basket group column of search results

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

- Fixed merge conflict
Comment 3 Jonathan Druart 2012-05-22 08:41:12 UTC
QA Comments:
Ergonomic patch, remove empty parenthesis.

Passed QA
Comment 4 Chris Cormack 2012-05-28 10:23:56 UTC
Pushed to 3.8.x, will be in 3.8.2